Commit aca5af37 authored by Guillaume Hervier's avatar Guillaume Hervier

playbook: Remove workaround role and tasks for Debian 9 repository

parent 9a1a2cb3
# This file was included by ansible and it can be overwriten
APT::Get::AllowUnauthenticated "true";
APT::Get::AllowWeakRepositories "true";
APT::Get::AllowInsecureRepositories "true";
- copy: dest=/etc/apt/apt.conf.d/99slapos src=99slapos
when: (ansible_distribution == "Debian" and ansible_distribution_major_version == "9") or (ansible_distribution == "Ubuntu" and ansible_distribution_major_version == "17")
- name: Update repos for debian 9
shell: apt update --allow-insecure-repositories
when: (ansible_distribution == "Debian" and ansible_distribution_major_version == "9") or (ansible_distribution == "Ubuntu" and ansible_distribution_major_version == "17")
---
dependencies:
- { role: debian9-aptconf }
......@@ -33,13 +33,9 @@
when: ansible_distribution == "Debian" and ansible_distribution_major_version == "6"
- name: Install Debian 9 repository
apt_repository: repo='deb {{ base_open_build_url }}/Debian_9.0/ ./' state=present update_cache=no
apt_repository: repo='deb {{ base_open_build_url }}/Debian_9.0/ ./' state=present
when: ansible_distribution == "Debian" and ansible_distribution_major_version == "9"
- name: Update repos for debian 9
shell: apt update --allow-insecure-repositories
when: (ansible_distribution == "Debian" and ansible_distribution_major_version == "9") or (ansible_distribution == "Ubuntu" and ansible_distribution_major_version == "17")
- name: Install Debian 8 repository
apt_repository: repo='deb {{ base_open_build_url }}/Debian_8.0/ ./' state=present
when: ansible_distribution == "Debian" and ansible_distribution_major_version == "8"
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment